# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Fcntl.pm) perl(ok.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-MooseX-Types-DateTime-ButMaintained
Version:        0.16
Release:        alt1_2
Summary:        DateTime related constraints and coercions for Moose
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/MooseX-Types-DateTime-ButMaintained/
Source0:        http://www.cpan.org/authors/id/E/EC/ECARROLL/MooseX-Types-DateTime-ButMaintained-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
# DateTime >= 0.4302 rounded to two places
BuildRequires:  perl(DateTime.pm)
# DateTime::Locale >= 0.4001 rounded to two places
BuildRequires:  perl(DateTime/Locale.pm)
BuildRequires:  perl(DateTime/TimeZone.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(MooseX/Types/Moose.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Olson/Abbreviations.pm)
# Tests only
BuildRequires:  perl(Locale/Maketext.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/use/ok.pm)
# DateTime >= 0.4302 rounded to two places
Requires:       perl(DateTime.pm) >= 0.44
# DateTime::Locale >= 0.4001 rounded to two places
Requires:       perl(DateTime/Locale.pm) >= 0.41
Requires:       perl(DateTime/TimeZone.pm) >= 0.96

# Do not export under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(DateTime(/d
%filter_from_requires /^::Locale/d
%filter_from_requires /^::TimeZone)\\)\\s*$/d

%description
This module packages several Moose::Util::TypeConstraints with coercions,
designed to work with the DateTime suite of objects.

%prep
%setup -q -n MooseX-Types-DateTime-ButMaintained-%{version}

%build
# switch off cpan installation
PERL5_CPANPLUS_IS_RUNNING=1 perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_2
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_1
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_2
- fc import

